hand_part_labels = ['wrist',
                    'thumb_cmc',
                    'thumb_mcp',
                    'thumb_ip',
                    'thumb_tip',
                    'index_finger_mcp',
                    'index_finger_pip',
                    'index_finger_dip',
                    'index_finger_tip',
                    'middle_finger_mcp',
                    'middle_finger_pip',
                    'middle_finger_dip',
                    'middle_finger_tip',
                    'ring_finger_mcp',
                    'ring_finger_pip',
                    'ring_finger_dip',
                    'ring_finger_tip',
                    'pinky_mcp',
                    'pinky_pip',
                    'pinky_dip',
                    'pinky_tip']

hand_part_arg = {b: a for a, b in enumerate(hand_part_labels)}

hand_part_orders = [('wrist', 'thumb_cmc'),
                    ('thumb_cmc', 'thumb_mcp'),
                    ('thumb_mcp', 'thumb_ip'),
                    ('thumb_ip', 'thumb_tip'),
                    ('wrist', 'index_finger_mcp'),
                    ('index_finger_mcp', 'index_finger_pip'),
                    ('index_finger_pip', 'index_finger_dip'),
                    ('index_finger_dip', 'index_finger_tip'),
                    ('wrist', 'middle_finger_mcp'),
                    ('middle_finger_mcp', 'middle_finger_pip'),
                    ('middle_finger_pip', 'middle_finger_dip'),
                    ('middle_finger_dip', 'middle_finger_tip'),
                    ('wrist', 'ring_finger_mcp'),
                    ('ring_finger_mcp', 'ring_finger_pip'),
                    ('ring_finger_pip', 'ring_finger_dip'),
                    ('ring_finger_dip', 'ring_finger_tip'),
                    ('wrist', 'pinky_mcp'),
                    ('pinky_mcp', 'pinky_pip'),
                    ('pinky_pip', 'pinky_dip'),
                    ('pinky_dip', 'pinky_tip')]


hand_part_color = [[179, 0, 36],
                   [227, 25, 28],
                   [252, 78, 41],
                   [253, 141, 60],
                   [135, 221, 63],
                   [188, 223, 63],
                   [219, 219, 0],
                   [255, 255, 0],
                   [100, 221, 23],
                   [108, 223, 35],
                   [123, 226, 58],
                   [154, 233, 104],
                   [4, 68, 252],
                   [17, 103, 177],
                   [24, 123, 205],
                   [42, 157, 244],
                   [143, 0, 255],
                   [160, 38, 255],
                   [177, 77, 255],
                   [193, 115, 255]]


hand_joint_color = [[140, 26, 255],
                    [179, 0, 36],
                    [227, 25, 28],
                    [252, 78, 41],
                    [253, 141, 60],
                    [135, 221, 63],
                    [188, 223, 63],
                    [219, 219, 0],
                    [255, 255, 0],
                    [100, 221, 23],
                    [108, 223, 35],
                    [123, 226, 58],
                    [154, 233, 104],
                    [4, 68, 252],
                    [17, 103, 177],
                    [24, 123, 205],
                    [42, 157, 244],
                    [143, 0, 255],
                    [160, 38, 255],
                    [177, 77, 255],
                    [193, 115, 255]]


MINIMAL_HAND_CONFIG = {'part_labels': hand_part_labels,
                       'part_arg': hand_part_arg,
                       'part_orders': hand_part_orders,
                       'part_color': hand_part_color,
                       'joint_color': hand_joint_color}
